{% load wagtailcore_tags wagtailimages_tags %}
<div class="grid grid-cols-1 md:grid-cols-2">
  {% for block in page.banners %}
  {% if block.value.code != request.GET.code %}
  <div class="col p-4 mb-8">
    <a href="?code={{block.value.code|urlencode}}" class="block">
      {% include_block block %}
    </a>
  </div>
  {% endif %}
  {% endfor %}
</div>
